// JavaScript Document

/*---------------用户登录验证---------------*/
function check(){
var userName=$("#user_name").val();
var password=$("#user_post").val();
var HasError = false;
if(userName==""){
$("#checkUserName").html("<font color='red'>用户名不能为空！</font>");
HasError = true;
}
if(password==""){
$("#checkPassword").html("<font color='red'>密码不能为空！</font>");
HasError = true;
}

if(HasError){
	return false;
}

return true;
}

function checkUser(){
	$("#checkUserName").html("")
}

function checkPwd(){
	$("#checkPassword").html("")
}

function ReplacePwd(that){
	$(that).val( $(that).val().replace(/./g,'*') )
};


// $(document).ready(function() {
// 	$(".add_subj").click(function(){
//         center($('.subject_box'));
//         $(".subject_box").fadeIn();     
//     });
// 	function leftTop(obj){
//             var screenWidth = $(window).width();
//             var screenHeight = $(window).height();
//             var scrolltop = $(document).scrollTop();
//             var scrollleft = $(document).scrollLeft();
//             var objLeft = (screenWidth - obj.width())/2 + scrollleft;
//             var objTop = (screenHeight - obj.height())/2 + scrolltop;
//             obj.css({left: objLeft + 'px', top: objTop + 'px'});
//     }
//     function center(obj) {
//         leftTop(obj);
       
//         //浏览器窗口大小改变时
//         $(window).resize(function() {
//              leftTop(obj);
//         });
//         //浏览器有滚动条时的操作、
//         $(window).scroll(function() {
//             leftTop(obj);
//         });
       
//     }
// })

/*--------------------删除框-------------------------*/
$(document).ready(function() {
	$(".del_img").click(function(){
		center($('.delete_box'));
		$(".delete_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".bank_cancel").click(function(){
		$(".delete_box").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

	$(".box_cancel").click(function(){
		$(".pop_box").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

				
	$(".add_subj").click(function(){
		center($('.subject_box'));
		$(".subject_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		})
	$(".bank_cancel").click(function(){
		$(".subject_box").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

		
	$(".edit_subm").click(function(){
		center($('.edit_subject_box'));
		$(".edit_subject_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		})
	$(".bank_cancel").click(function(){
		$(".edit_subject_box").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

	$(".add_jie").click(function(){
		center($('.subject_box_jie'));
		$(".subject_box_jie").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		})
	$(".bank_cancel").click(function(){
		$(".subject_box_jie").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

		
	$(".edit_jie").click(function(){
		center($('.subject_box_jie'));
		$(".edit_subject_box_jie").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		})
	$(".bank_cancel").click(function(){
		$(".edit_subject_box_jie").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

				
	$(".add_ques").click(function(){
		center($('.bank_box'));
		$(".bank_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		})
	$(".bank_cancel").click(function(){
		$(".bank_box").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

	$(".del_jie").click(function(){
		center($('.delete_box_jie'));
		$(".delete_box_jie").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		})
	$(".bank_cancel").click(function(){
		$(".delete_box_jie").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

				
	$(".edit_ques").click(function(){
		center($('.edit_bank_box'));
		$(".edit_bank_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});
	$(".bank_cancel").click(function(){
		$(".edit_bank_box").hide();
		$("#cover").hide();
		$("body").removeClass("overflowNone");
		});

	$(".specialAdd").click(function(){
		center($('.specialAdd_box'));
		$(".specialAdd_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".recommend").click(function(){
		center($('.recommend_box'));
		$(".recommend_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".recommendImg").click(function(){
		center($('.recommendImg_box'));
		$(".recommendImg_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".myModal").click(function(){
		center($('.myModal_box'));
		$(".myModal_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".specialOff").click(function(){
		center($('.specialOff_box'));
		$(".specialOff_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".specialSujectAdd").click(function(){
		center($('.specialSujectAdd_box'));
		$(".specialSujectAdd_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".specialEdit").click(function(){
		center($('.specialEdit_box'));
		$(".specialEdit_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".specialDel").click(function(){
		center($('.specialDel_box'));
		$(".specialDel_box").show();
		$("#cover").show();
		$("body").addClass("overflowNone");
		});

	$(".special_sort").hover(function(){
		$(this).children(".sort_tip").show();
		},function(){
		  $(this).children(".sort_tip").hide();
		});

});
	
	function leftTop(obj){
            var screenWidth = $(window).width();
            var screenHeight = $(window).height();
            var scrolltop = $(document).scrollTop();
            var scrollleft = $(document).scrollLeft();
            var objLeft = (screenWidth - obj.width())/2 + scrollleft;
            // var objTop = (screenHeight - obj.height())/2 + scrolltop;
            var objTop = (screenHeight - obj.height())/2 + scrolltop-50;
            obj.css({left: objLeft + 'px', top: objTop + 'px'});
    }
    function center(obj) {
        leftTop(obj);
       
        //浏览器窗口大小改变时
        $(window).resize(function() {
             leftTop(obj);
        });
        //浏览器有滚动条时的操作、
        $(window).scroll(function() {
            leftTop(obj);
        });
       
    }		

			
/*---------------问答题  多选题  单选题  判断题  题型下拉-------------------*/
$(document).ready(function() {	
     
	 $(".radio_list").click(function(){
		$(this).children(".radiobutton").slideToggle();
		})

		
	 $(".judge_list").click(function(){
		$(this).children(".judge").slideToggle();
		})

	
	 $(".multi_list").click(function(){
		$(this).children(".multiselect").slideToggle();
		})

     
     $(".answer_list").click(function(){
		$(this).children(".answer").slideToggle();
		})


   $(function(){  
	    var k = $('#myinput');
	    k.css("color","#757575");
	    k.val("请填写专题内容"); 
	    var default_value = k.val(); 
	      
	    k.focus(function() { 
	        k.css("color","black");  
	        if (k.val() == default_value) {  
	            k.val('');  
	        }  
	    });  
	    k.blur(function() { 
	        k.css("color","black");  
	        if (k.val() == '') {  
	            k.val(default_value);  
	            k.css("color","#757575");  
	        }  
	    });  
	});

});
	

	
	
	
	
	
	
	